<?xml version="1.0" encoding="UTF-8"?>
<!--
Copyright (C) 2012-2018  Stephan Kreutzer

This file is part of Free Scriptures.

Free Scriptures is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License version 3 or any later version,
as published by the Free Software Foundation.

Free Scriptures is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU Affero General Public License 3 for more details.

You should have received a copy of the GNU Affero General Public License 3
along with Free Scriptures. If not, see <http://www.gnu.org/licenses/>.
-->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:output method="text" encoding="UTF-8"/>

  <xsl:template match="XMLBIBLE">
    <xsl:text>\documentclass[a4paper]{book}&#xA;</xsl:text>
    <xsl:text>% This file was generated by haggai2latex2.xsl, which is free software licensed under the GNU Affero General Public License 3 or any later version (see https://gitlab.com/free-scriptures/free-scriptures/ and http://www.free-scriptures.org).&#xA;</xsl:text>
    <xsl:text>&#xA;</xsl:text>
    <xsl:text>\usepackage[utf8]{inputenc}&#xA;</xsl:text>
    <xsl:text>\usepackage{ngerman}&#xA;</xsl:text>
    <xsl:text>\usepackage{geometry}&#xA;</xsl:text>
    <xsl:text>\usepackage[perpage,para]{footmisc}&#xA;</xsl:text>
    <xsl:text>\usepackage{marginnote}&#xA;</xsl:text>
    <xsl:text>&#xA;</xsl:text>
    <xsl:text>\geometry{a4paper,left=20mm,right=115mm, top=20mm, bottom=20mm}&#xA;</xsl:text>
    <xsl:text>&#xA;</xsl:text>
    <xsl:text>\begin{document}&#xA;</xsl:text>
    <xsl:apply-templates select="BIBLEBOOK"/>
    <xsl:text>\end{document}&#xA;</xsl:text>
  </xsl:template>

  <xsl:template match="BIBLEBOOK">
    <xsl:text>\setcounter{part}{</xsl:text>
    <!-- @bnumber - 1 because \part will increment it. -->
    <xsl:value-of select="./@bnumber - 1"/>
    <xsl:text>}&#xA;</xsl:text>
    <xsl:choose>
      <xsl:when test="./CAPTION">
        <xsl:text>\part{</xsl:text>
        <xsl:value-of select="./CAPTION"/>
        <xsl:text>}&#xA;</xsl:text>
      </xsl:when>
      <xsl:otherwise>
        <xsl:text>\part{}</xsl:text>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:apply-templates select="CHAPTER"/>
  </xsl:template>
  <xsl:template match="CHAPTER">
    <xsl:text>\setcounter{chapter}{</xsl:text>
    <!-- @cnumber - 1 because \chapter will increment it. -->
    <xsl:value-of select="./@cnumber - 1"/>
    <xsl:text>}&#xA;</xsl:text>
    <xsl:text>\chapter{}&#xA;</xsl:text>
    <xsl:apply-templates select="VERSE | PARAGRAPH"/>
  </xsl:template>
  <xsl:template match="PARAGRAPH">
    <xsl:apply-templates select="VERSE"/>
    <!-- Default TeX paragraph. -->
    <xsl:text>&#xA;</xsl:text>
  </xsl:template>
  <xsl:template match="VERSE">
    <xsl:text>\textasteriskcentered&#x20;</xsl:text>
    <xsl:apply-templates/>
    <xsl:text>&#xA;</xsl:text>
  </xsl:template>

  <xsl:template match="VERSE//text()">
    <xsl:value-of select="."/>
  </xsl:template>
  <xsl:template match="NOTE">
    <xsl:text>\footnote{</xsl:text>
    <xsl:apply-templates/>
    <xsl:text>}</xsl:text>
  </xsl:template>
  <xsl:template match="STYLE">
    <xsl:choose>
      <xsl:when test="@fs='super'">
        <xsl:text>$\langle$</xsl:text>
        <xsl:value-of select="."/>
        <xsl:text>$\rangle$</xsl:text>
      </xsl:when>
      <xsl:when test="@fs='emphasis'">
        <xsl:text>\textbf{</xsl:text>
        <xsl:value-of select="."/>
        <xsl:text>}</xsl:text>
      </xsl:when>
      <xsl:when test="@fs='italic'">
        <xsl:text>\textit{</xsl:text>
        <xsl:value-of select="."/>
        <xsl:text>}</xsl:text>
      </xsl:when>
    </xsl:choose>
  </xsl:template>
  <xsl:template match="NOTE//text()">
    <xsl:value-of select="."/>
  </xsl:template>

</xsl:stylesheet>
